/** @file
 * $Author: mocchiut $
 * $Date: 2008/09/23 07:20:26 $
 * $Revision: 1.1.1.1 $
 * 
 * Implementation of the base class for the algorithms used to read the 
 * techmodel data file of Pamela.
 */


#include "TechmodelAlgorithm.h"

using namespace pamela;
using namespace pamela::techmodel;

TechmodelAlgorithm::TechmodelAlgorithm(const PacketType* type, std::string name): 
  Algorithm(type, name) {}

/**
 * On default, the Init() do nothing
 */
void TechmodelAlgorithm::Init(PamelaRun* run) {}

//TObject *GetPtr(TString name){return this;}

ClassImp(TechmodelAlgorithm)
